.TH "Bundlewrap" 1 "September 16 2016" "Bundlewrap"
.SH NAME
bundlewrap \- Decentralized configuration management system with Python
.SH SYNOPSIS
.B bundlewrap
[-h] [-a] [-A] [-d] [-r DIRECTORY] [--version]
{apply, debug, groups, hash, items, lock, metadata,
nodes, plot, repo, run, stats, test, verify, zen} ...

.SH DESCRIPTION
BundleWrap fills the gap between complex deployments using Chef or
Puppet and old school system administration over SSH. You do not need
to know any Python in order to use Bundlewrap, but you can easily extend
your bundles using Python.

While most other config management systems rely on a client-server
architecture, BundleWrap works off a repository cloned to your local
machine.

It then automates the process of SSHing into your servers and making sure
everything is configured the way it's supposed to be. You won't have to
install anything on managed servers.

.SH OPTIONAL ARGUMENTS

.B \-h, \-\-help
show this help message and exit
.TP
.B \-a, \-\-add-host-keys
set StrictHostKeyChecking=no instead of yes for SSH
.TP
.B \-A, \-\-adhoc-nodes
treat unknown node names as adhoc 'virtual' nodes that
receive configuration only through groups whose
member_patterns match the node name given on the
command line (which also has to be a resolvable
hostname)
.TP
.B \-d, \-\-debug
print debugging info (implies -v)
.TP
.B \-r DIRECTORY, \-\-repo-path DIRECTORY
Look for repository at this path (defaults to current
working directory)
.TP
.B  \-\-version
show program's version number and exit

.SH SUBCOMMANDS:

use 'bw <subcommand> --help' for more info
.TP
.B apply
Applies the configuration defined in your repository to your nodes
.TP
.B debug
Start an interactive Python shell for this repository
.TP
.B groups
Lists groups in this repository (deprecated, use `bw nodes -a`)
.TP
.B hash
Shows a SHA1 hash that summarizes the entire configuration for this
repo, node, group, or item.
.TP
.B items
List and preview items for a specific node
.TP
.B lock
Manage locks on nodes used to prevent collisions between BundleWrap users
.TP
.B metadata
View a JSON representation of a node's metadata
.TP
.B nodes
List all nodes in this repository
.TP
.B plot
Generates DOT output that can be piped into `dot -Tsvg -ooutput.svg`.
The resulting output.svg can be viewed using most browsers.
.TP
.B repo
Various subcommands to manipulate your repository
.TP
.B run
Run a one-off command on a number of nodes
.TP
.B stats
Show some statistics about your repository
.TP
.B test
Test your repository for consistency (you can use this with a CI tool
like Jenkins)
.TP
.B verify
Inspect the health or 'correctness' of a node without changing it

.SH REPORTING BUGS
Bundlewrap bug tracker: https://github.com/bundlewrap/bundlewrap/issues

.SH AUTHORS
This manual page was written by Jonathan Carter <jcarter@linux.com>
Bundlewrap was written by Torsten Rehn <torsten@rehn.email>
